import { OzgcloudDialogService } from '@alfa-client/ui';
import { Component, ViewContainerRef } from '@angular/core';
import { VorgangDetailBescheidenAbbrechenDialogComponent } from '../vorgang-detail-bescheiden-abbrechen-dialog/vorgang-detail-bescheiden-abbrechen-dialog.component';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-abbrechen-button',
  templateUrl: './vorgang-detail-bescheiden-abbrechen-button.component.html',
  styles: [],
})
export class VorgangDetailBescheidenAbbrechenButtonComponent {
  constructor(
    private readonly ozgcloudDialogService: OzgcloudDialogService,
    readonly viewContainerRef: ViewContainerRef,
  ) {}

  public onClick(): void {
    this.ozgcloudDialogService.openInCallingComponentContext<VorgangDetailBescheidenAbbrechenDialogComponent>(
      VorgangDetailBescheidenAbbrechenDialogComponent,
      this.viewContainerRef,
    );
  }
}
